/*
    Copyright 2007, 2008, 2009 Geyer Klaus

    This file is part of Cat'sEyE.

    Cat'sEyE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Cat'sEyE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cat'sEyE.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBALDEFINITIONS_H_
#define GLOBALDEFINITIONS_H_

#define INTERNALBUILDNUMBER	2102		//A Number which counts the builds I worked with, just for me to now which version I exactly run


#define MYNAME	"Cat'sEyE 3.0"
#define VERSION "V3.0.0.0"
#define MYNAMESHORT "CEE"
#define ICONNAMEWITHOUTSIZE ".catseye/catseye_"
#define SPASHIMAGENAME ".catseye/CatsEyE_Splash.png"

#define SIDE_LEFT  0
#define	SIDE_RIGHT 1
#define SIDE_BOTH  2
#define SIDE_FILESHELF 3

#define MAXCHARSINNOTEBOOKLABEL 25
#define MAXCHARSOFERROROFUSERCOMMAND 750    //used in callItemsToSystem
#define MAXENTRYBOX 256 //why is this 256? it is used for the MyInputWidget(s) and the PathEntryBoxes we will wait till we hit this border.

#define COPYREMOVECHECKMIN 100	//the minimum of us waiting for CopyReMove to finish and go to next item
#define COPYREMOVECHECKMAX 500000	// (microseconds)




#endif	//GLOBALDEFINITIONS_H_
